## pageedit 1.4.0%2Bdfsg

=== debian/control ===
Source: pageedit
Section: editors
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
Build-Depends-Arch:
 libjs-jquery,
 libjs-jquery-scrollto,
 qtbase5-dev (>= 5.9.4),
 qttools5-dev (>= 5.9.4),
 qttools5-dev-tools (>= 5.9.4),
 qtwebengine5-dev (>= 5.9.4),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://sigil-ebook.com/
Vcs-Git: https://salsa.debian.org/debian/pageedit.git
Vcs-Browser: https://salsa.debian.org/debian/pageedit

Package: pageedit
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ePub visual XHTML editor based on Sigil's Deprecated BookView
 This package contains the removed BookView feature that used to be part of
 Sigil before the 0.9.15 release.
 .
 It allows users to edit the XHTML editor with a WYSIWYG interface.
