## pageedit 1.4.0+dfsg

=== debian/changelog ===
pageedit (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.0+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.4.0
  * Upstream removed the non-free js file, drop related patch.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 14 Nov 2020 16:09:41 +0100

pageedit (1.3.0+dfsg1-1) unstable; urgency=medium

  [ Baptiste Beauplat ]
  * Add missing copyright info for gumbo_subtree/*.
  * Add prorietary jquery.wrapSelection.js file to Files-Excluded.

  [ Mattia Rizzolo ]
  * New upstream version 1.3.0+dfsg1, removing the above jquery.wrapSelection.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 11 Nov 2020 17:24:05 +0100

pageedit (1.3.0+dfsg-1) unstable; urgency=medium

  * Initial release.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 11 Aug 2020 09:16:32 +0200
