=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	ln -svf /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/javascript/jquery-2.2.4.min.js
	ln -svf /usr/share/javascript/jquery-scrollto/jquery.scrollTo.min.js $(CURDIR)/javascript/jquery.scrollTo-2.1.2-min.js
	dh_auto_configure -- \
		-DINSTALL_BUNDLED_DICTS=0
