=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpsigurlmangle=s|archive/([\d\.]+).tar\.gz|releases/download/$1/PageEdit-$1.tar.gz.sig|,\
repacksuffix=+dfsg \
https://github.com/Sigil-Ebook/PageEdit/releases /Sigil-Ebook/PageEdit/archive/v?(\d\S*)@ARCHIVE_EXT@
