## pageedit 1.5.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 
 set( PAGEEDIT_MAJOR_VERSION 1 )
-set( PAGEEDIT_MINOR_VERSION 4 )
+set( PAGEEDIT_MINOR_VERSION 5 )
 set( PAGEEDIT_REVISION_VERSION 0 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
 
@@ -99,6 +99,7 @@
     HTMLEncodingResolver.cpp
     OPFReader.cpp
     PEDarkStyle.cpp
+    webviewprinter.cpp
     )
 
 set( HEADER_FILES
@@ -133,6 +134,7 @@
     HTMLEncodingResolver.h
     OPFReader.h
     PEDarkStyle.h
+    webviewprinter.h
     )
 
 set( FORM_FILES
@@ -341,4 +343,3 @@
         install( FILES ${PROJECT_SOURCE_DIR}/icons/app_icon_${SIZE}.png DESTINATION
                                ${SHARE_INSTALL_PREFIX}/share/icons/hicolor/${SIZE}x${SIZE}/apps RENAME pageedit.png )
     endforeach( SIZE )
-    install( FILES ${PROJECT_SOURCE_DIR}/icons/app_icon_scalable.svg DESTINATION
