=== debian/changelog ===
pageedit (1.5.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.0+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.5.0
  * Update copyright.
  * Fixup watchfile match for the changed github URLs.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Apr 2021 20:29:07 +0200
