## pageedit 1.7.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 
 set( PAGEEDIT_MAJOR_VERSION 1 )
-set( PAGEEDIT_MINOR_VERSION 5 )
+set( PAGEEDIT_MINOR_VERSION 7 )
 set( PAGEEDIT_REVISION_VERSION 0 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
