=== debian/changelog ===
pageedit (1.7.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: Bump Standards-Version to 4.6.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Aug 2021 17:42:26 +0200

pageedit (1.7.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.7.0+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.7.0

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 28 Jul 2021 14:50:28 +0200

pageedit (1.6.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.6.0+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.6.0

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 May 2021 18:58:45 +0200
