=== debian/changelog ===
pageedit (1.9.10+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Mattia Rizzolo ]
  * New upstream version 1.9.10+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.9.10
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 May 2022 17:13:37 +0200
