## pageedit 1.9.20+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 set( PAGEEDIT_MAJOR_VERSION 1 )
 set( PAGEEDIT_MINOR_VERSION 9 )
-set( PAGEEDIT_REVISION_VERSION 10 )
+set( PAGEEDIT_REVISION_VERSION 20 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
