=== debian/changelog ===
pageedit (1.9.20+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.20+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.9.20
  * Bump Standards-Version to 4.6.1, no changes needed

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 07 Sep 2022 20:14:15 +0200
