=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  qttools5-dev (>= 5.9.4),
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com/
 Vcs-Git: https://salsa.debian.org/debian/pageedit.git
