## pageedit 2.0.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,16 @@
 
 #############################################################################
 
+# Set Inno minimum Windows version 
+if ( NOT DEFINED BUILD_FOR_WIN7 )
+    # Windows 10 (1809)
+    set( BUILD_FOR_WIN7 0 )
+    set ( WIN_MIN_VERSION 10.0.17763 )
+else()
+    # Windows 7sp1
+    set ( WIN_MIN_VERSION 6.1.7601 )
+endif()
+
 set( CMAKE_DEBUG_POSTFIX "d" )
 # Avoid the whole Release/Debug folder creation with Visual Studio
 if (MSVC_IDE)
@@ -35,9 +45,9 @@
 set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 
-set( PAGEEDIT_MAJOR_VERSION 1 )
-set( PAGEEDIT_MINOR_VERSION 9 )
-set( PAGEEDIT_REVISION_VERSION 20 )
+set( PAGEEDIT_MAJOR_VERSION 2 )
+set( PAGEEDIT_MINOR_VERSION 0 )
+set( PAGEEDIT_REVISION_VERSION 0 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
