## pageedit 2.0.0+dfsg

=== gumbo_subtree/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,8 @@
 cmake_minimum_required( VERSION 3.0 ) 
 
 project(gumbo) 
+
+find_package(GTest)
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/.libs)
@@ -28,3 +30,7 @@
 add_subdirectory(src/)
 add_subdirectory(examples/)
 
+if( ${GTEST_FOUND} )
+  add_subdirectory(tests/)
+endif()
+
