=== debian/changelog ===
pageedit (2.0.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:12:34 +1100

pageedit (2.0.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:19:07 +0000

pageedit (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.0+dfsg.
    + https://sigil-ebook.com/blog/pageedit-2.0.0-released/
    + https://github.com/Sigil-Ebook/PageEdit/releases/tag/2.0.0
  * Refresh upstream gpg key that was expired.
  * Update watchfile to check the tags instead of releases in github.
  * Update symlink to the (removed) embedded jquery.
  * Update copyright.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Override lintian's package-does-not-install-examples.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2023 14:03:14 +0530
