=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pageedit
 Section: editors
 Priority: optional
-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -12,7 +13,7 @@
  qttools5-dev (>= 5.9.4),
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com/
 Vcs-Git: https://salsa.debian.org/debian/pageedit.git
