## pageedit 2.2.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #
 #########################################################
 
-cmake_minimum_required( VERSION 3.0.0 )
+cmake_minimum_required( VERSION 3.0.5 )
 
 #############################################################################
 
@@ -46,7 +46,7 @@
 set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 
 set( PAGEEDIT_MAJOR_VERSION 2 )
-set( PAGEEDIT_MINOR_VERSION 0 )
+set( PAGEEDIT_MINOR_VERSION 2 )
 set( PAGEEDIT_REVISION_VERSION 0 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
 
@@ -73,9 +73,9 @@
 # Pull in th proper cmake file depending on whether
 # a qt5 or qt6 build was requested (defaults to qt5)
 
-if (${USE_QT6})
+if (${USE_QT5})
+    include(CMakeLists5.txt)
+else()
     include(CMakeLists6.txt)
-else()
-    include(CMakeLists5.txt)
 endif()
