=== debian/changelog ===
pageedit (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg.
    https://sigil-ebook.com/blog/pageedit-2.0.2-released/
    https://sigil-ebook.com/blog/pageedit-2.1.0-released/
    https://sigil-ebook.com/blog/pageedit-2.2.0-released/
  * Update copyright.
  * Build with Qt6.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Jul 2024 10:50:16 +0900
