=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: pageedit
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
 Build-Depends-Arch:
  libjs-jquery,
  libjs-jquery-scrollto,
- qtbase5-dev (>= 5.9.4),
- qttools5-dev (>= 5.9.4),
- qttools5-dev-tools (>= 5.9.4),
+ qt6-5compat-dev,
+ qt6-base-dev,
+ qt6-svg-dev,
+ qt6-tools-dev,
+ qt6-webengine-dev,
  qtwebengine5-dev (>= 5.9.4),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
