=== gumbo_subtree/src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #
 #########################################################
 
-cmake_minimum_required( VERSION 3.0 ) 
+cmake_minimum_required( VERSION 3.18 ) 
 
 project(gumbo C)
