=== debian/changelog ===
pageedit (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.0+dfsg.
    https://sigil-ebook.com/blog/pageedit-2.3.0-released/
    https://sigil-ebook.com/blog/pageedit-2.3.1-released/
    https://sigil-ebook.com/blog/pageedit-2.4.0-released/
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 16 Mar 2025 18:09:20 +0100
