=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
  qt6-svg-dev,
  qt6-tools-dev,
  qt6-webengine-dev,
- qtwebengine5-dev (>= 5.9.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com/
 Vcs-Git: https://salsa.debian.org/debian/pageedit.git
